/*
 * menu.h
 */

#pragma once
#ifndef menu_h
# define menu_h

# ifndef window_h
#  include "window.h"
# endif /* window.h */

enum { APPLE_MENU = 128 , FILE_MENU , EDIT_MENU , FONT_MENU , SIZE_MENU , VOICE_MENU } ;
enum { ABOUT_ITEM = 1 } ;
enum { NEW_ITEM = 1 , OPEN_ITEM , CLOSE_ITEM , SAVE_ITEM = 5 , SAVE_AS_ITEM ,
	REVERT_ITEM , PAGE_SETUP_ITEM = 9 , PRINT_ITEM = 10 , QUIT_ITEM = 12 } ;
enum { UNDO_ITEM = 1 , CUT_ITEM = 3 , COPY_ITEM , PASTE_ITEM , CLEAR_ITEM ,
	SELECT_ALL_ITEM = 8 , SHOW_SECONDS_ITEM = 10 , SPEAK_HOURS_ITEM ,
	SPEAK_RANDOM_ITEM , SPEAK_OPTION_ITEM } ;


void DoMenu ( EventRecord * event ) ;
void SelectMenu ( long selection ) ;
void DispatchMenu ( short menu , short item ) ;

void UpdateMenus ( void ) ;
void UpdateWinMenus ( WindowPtr wp , DefWindowRec * rec ) ;

void MakeMenus ( void ) ;
void SizeMenuOutlines ( short fontNum ) ;

void DisableMenu ( short menu ) ;
void EnableMenu ( short menu ) ;
void DisableAll ( void ) ;

void DisableCmd ( short menu , short item ) ;
void EnableCmd ( short menu , short item ) ;
void CheckCmd ( short menu , short item , Boolean checked ) ;
void CheckStr ( short menu , unsigned char * str , Boolean checked ) ;

#endif /* menu.h */
