/*
 * apprec.c
 */

#include "apprec.h"
#include "menu.h"
#include "x.h"
#include "clockrec.h"


DefWindowRec appRec = {

	128 , NULL ,

	AppCr ,
	AppDe ,
	AppUp ,
	AppMD ,
	AppMU ,
	AppKD ,
	AppAK ,
	AppAc ,
	AppSw ,
	AppId ,
	AppPr ,
	AppCo ,
	AppAE

} ;


static void
AppAboutItem ( ) {
	Alert ( 129 , NULL ) ;
}


static void
AppAppleMenu ( short item , unsigned char * itemStr ) {

	if ( item == ABOUT_ITEM ) {
		AppAboutItem ( ) ;
	} else {
		OpenDeskAcc ( itemStr ) ;
	}
}


static void
AppFileMenu ( short item , Handle data ) {

char state = HGetState ( data ) ;

	switch ( item ) {
	case NEW_ITEM :
		HLock ( data ) ;
		( void ) MakeWindow ( ( FSSpec * ) * data , & clockRec ) ;
		HSetState ( data , state ) ;
		break ;
	case OPEN_ITEM :
		break ;
	case QUIT_ITEM :
		quit = 1 ;
		break ;
	}
}


/*	This function will be called with a preferences file spec	*/
/*	The name of the prefs file is specified in STR id 1			*/
OSErr
AppCr ( WindowPtr wp , Handle * data , FSSpec * file ) {
	( void ) MakeWindow ( file , & clockRec ) ;
	PtrToHand ( ( Ptr ) file , data , sizeof ( FSSpec ) ) ;
	return noErr ;
}


/*	This is a good place to write back your preferences; it is	*/
/*	called right before the application quits					*/
OSErr
AppDe ( WindowPtr wp , Handle data ) {
	DisposeHandle ( data ) ;
	return noErr ;
}


/*	Update events for windows that don't handle them themselves	*/
/*	are sent here.												*/
OSErr
AppUp ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	MouseDown events in window content that are not handled by	*/
/*	windows are sent here										*/
OSErr
AppMD ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	MouseUp events in window content that are not handled by	*/
/*	windows are sent here										*/
OSErr
AppMU ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	KeyDown events in window content that are not handled by	*/
/*	windows are sent here										*/
OSErr
AppKD ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	AutoKey events in window content that are not handled by	*/
/*	windows are sent here										*/
OSErr
AppAK ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	Activate events for windows that are not handled by the		*/
/*	window are sent here										*/
OSErr
AppAc ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	MultiFinder events for windows that are not handled by the	*/
/*	window are sent here										*/
OSErr
AppSw ( WindowPtr wp , Handle data , EventRecord * event ) {
	return noErr ;
}


/*	When the front window does not handle idling, this is		*/
/*	called														*/
OSErr
AppId ( WindowPtr wp , Handle data , long * sleep ) {
	return noErr ;
}


/*	This is called when menus need to be updated.				*/
OSErr
AppPr ( WindowPtr wp , Handle data ) {

	EnableCmd ( APPLE_MENU , ABOUT_ITEM ) ;

	EnableCmd ( FILE_MENU , NEW_ITEM ) ;
/*	EnableCmd ( FILE_MENU , OPEN_ITEM ) ; */
	EnableCmd ( FILE_MENU , QUIT_ITEM ) ;

	return noErr ;
}


/*	This is called when the front window does not handle		*/
/*	commands													*/
OSErr
AppCo ( WindowPtr wp , Handle data , short menu , short item ,
	unsigned char * itemStr ) {
	switch ( menu ) {
	case APPLE_MENU :
		AppAppleMenu ( item , itemStr ) ;
		break ;
	case FILE_MENU :
		AppFileMenu ( item , data ) ;
		break ;
	}
	return noErr ;
}


/*	This is called when the front window does not handle		*/
/*	AppleEvents													*/
OSErr
AppAE ( WindowPtr wp , Handle data , AppleEvent * event ,
	AppleEvent * reply ) {
	return noErr ;
}


